## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hyfetch
Version:        1.4.11
Release:        %autorelease
Summary:        Customizable Linux System Information Tool

License:        MIT
URL:            https://github.com/hykilpikonna/HyFetch
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
HyFetch is a command line tool to display information about your
Linux system, such as amount of installed packages, OS and kernel
version, active GTK theme, CPU info, and used/available memory.
It is a fork of neofetch, and adds pride flag coloration to the OS logo.

%prep
%autosetup -p1 -n %{name}-%{version}

# remove tools/ directory to conform to its pypi source
rm -rf tools/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l hyfetch

install -pDm 644 hyfetch/scripts/autocomplete.bash %{buildroot}%{bash_completions_dir}/hyfetch
install -pDm 644 hyfetch/scripts/autocomplete.zsh %{buildroot}%{zsh_completions_dir}/_hyfetch

%check
%pyproject_check_import

%files -n hyfetch -f %{pyproject_files}
%{_bindir}/hyfetch
%{_bindir}/neowofetch
%{bash_completions_dir}/hyfetch
%{zsh_completions_dir}/_hyfetch

%changelog
## START: Generated by rpmautospec
* Fri May 10 2024 topazus <topazus@outlook.com> - 1.4.11-1
- initial import; rhbz#2279732
## END: Generated by rpmautospec
